#!/usr/bin/python

"""
/* Wir wollen den vorgegebenen Roboter (Klasse: Roboter) dahingehend 
/* verbessern, dass er auch die Methoden 'rechts' usw. begherrscht!
/* Dazu programmieren wir eine Klasse 'Roboter_V2', die
/* alle Attribute und Methoden der Klasse 'Roboter' übernimmt
/* (erbt), obwohl wir nicht wissen, wie diese programmiert wurden!
/* Wir ergänzen die neue Methode 'rechts' und benutzen die geerbte 
/* Methode 'links' usw.
"""

from nikos_welt import *

class Roboter_V2(Roboter):		# Klammer: erbt von Roboter
   def __init__(self,welt,time):	# hat Parameter welt und time
      Roboter.__init__(self,welt,time)  # initialisiert den Beerbten

   def rechts(self):
      self.links()
      self.links()
      self.links()
      




# Beginn des Hauptprogramms




Tkinter.mainloop()
